> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch data source

> Get a filter data source by ID



## OpenAPI

````yaml /_openapi/data-transformation-api.json GET /api/v1/streams/data-management/filter-data-sources/{data_source_id}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/filter-data-sources/{data_source_id}:
    get:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - FILTERS
      summary: Filter Data Source by ID
      description: Get a filter data source by ID
      operationId: >-
        get_data_source_by_id_api_v1_streams_data_management_filter_data_sources__data_source_id__get
      parameters:
        - name: data_source_id
          in: path
          required: true
          schema:
            type: string
            title: Data Source Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilterDataSourceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    FilterDataSourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        description:
          type: string
          title: Description
      type: object
      required:
        - id
        - name
        - type
        - description
      title: FilterDataSourceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````